Sign up now! · Forgot password?
RSS/Atom feed Twitter

Compatable with Windows 7 ?

This discussion is connected to the gimp-user-list.gnome.org mailing list which is provided by the GIMP developers and not related to gimpusers.com.

3 of 3 messages available
Toggle history

Please log in to manage your subscriptions.

Compatable with Windows 7 ? HenkvV 18 Apr 21:21
  Compatable with Windows 7 ? rich404 19 Apr 07:34
   Compatable with Windows 7 ? HenkvV 22 Apr 20:08
2019-04-18 21:21:21 UTC (about 1 month ago)
postings
2
contact
Send private message

Compatable with Windows 7 ?

A simple users question.
I am a happy 2.8.22 GIMP user and I have Windows 7 reinstalled after having Windows 10 deleted. My question is: “Will GIMP 2.10.10 under Windows 7 ?”

2019-04-19 07:34:56 UTC (about 1 month ago)
postings
393
contact
Send private message

Compatable with Windows 7 ?

A simple users question.
I am a happy 2.8.22 GIMP user and I have Windows 7 reinstalled after having Windows 10 deleted.
My question is: “Will GIMP 2.10.10 under Windows 7 ?”

As with anything, not so simple.

If the Win7 is 64 bit then there should be no problem with Gimp 2.10.10 , I just installed in a Win7 64bit (VM) and it works.

If Gimp 2.8 exists, advise a clean installation, uninstall Gimp 2.8, rename the Gimp 2.8 use profile (.../gimp-2.8) to disable. Gimp 2.10 tries to copy existing resources and not all scripts/plug-ins work with Gimp 2.10.

Install Gimp 2.10, run to create a new user profile. C:\Users\"yourname"\AppData\Roaming\GIMP\2.10

Win7 32 bit can be a problem,

Gimp 2.10.8 and Gimp 2.10.10 do not work on **some** 32 bit installations. All you can do is try, if it works - great. If it does not work, use Gimp 2.10.6 (release 1) from www.gimp.org

https://download.gimp.org/mirror/pub/gimp/v2.10/windows/gimp-2.10.6-setup-1.exe

Same comment about installation.

2019-04-22 20:08:01 UTC (about 1 month ago)
postings
2
contact
Send private message

Compatable with Windows 7 ?

Dear GIMP Experts,
Thank you very much for your reply.
Your advise was exactly what I needed. I installed version 2.10.10 and at first sight, it works perfectly. HenkvV

As with anything, not so simple.

If the Win7 is 64 bit then there should be no problem with Gimp 2.10.10 , I just installed in a Win7 64bit (VM) and it works.

If Gimp 2.8 exists, advise a clean installation, uninstall Gimp 2.8, rename the Gimp 2.8 use profile (.../gimp-2.8) to disable. Gimp 2.10 tries to copy existing resources and not all scripts/plug-ins work with Gimp 2.10.

Install Gimp 2.10, run to create a new user profile. C:\Users\"yourname"\AppData\Roaming\GIMP\2.10

Win7 32 bit can be a problem,

Gimp 2.10.8 and Gimp 2.10.10 do not work on **some** 32 bit installations. All you can do is try, if it works - great. If it does not work, use Gimp 2.10.6 (release 1) from www.gimp.org

https://download.gimp.org/mirror/pub/gimp/v2.10/windows/gimp-2.10.6-setup-1.exe

Same comment about installation.